Function
insert
Insert new value into map.
insert(map, value)
insert(map, key, cargo)
Include Headers
seqan/map.h
Parameters

map | A map. Types: Map
value | A value that is added to map. Metafunctions: Value
key | A key. Metafunctions: Key
cargo | A cargo. Metafunctions: Cargo

Remarks
If key and cargo are specified, a new value of that key and value is added. If there is already a value of that key in map, the value of this element is changed to cargo.
If value is specified, and there is already a value in map of that key, than the cargo of this value is changed to cargo(value).
Use add instead to insert multiple values of the same key
See Also
eraseAll, cargo, add, erase, value
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48